Upcoming Bahmni 0.91 release: help us to test


(Himabindu Akkinepalli) #16

@sanjeev111 yes…One can upgrade from 0.90 to 0.91 Bahmni directly. No need to change the existing database.


(Himabindu Akkinepalli) #17

product-qa04.myahmni.org has latest build. Link for the Bahmni Installer rpm

wget http://repo.mybahmni.org.s3.amazonaws.com/rpm/bahmni/bahmni-installer-0.91-28.noarch.rpm


(Pramida Tumma) #18

MSF-OCP-TW-Reporting team can help in Regression testing on Thursday.


(swathi varkala) #19

Please join us for Bug Bash at https://thoughtworks.zoom.us/j/597394338.

Bugbash sheet has the list of features to focus while testing. Please sign up against the features and put in comments if anything found.


(liam hahne) #20

Bahmni Connect “[Global Property bahmniOfflineSync.strategy is not configured in OpenMRS. Configure classpath for OfflineSyncStrategy] [object Object]” , i already logged into online once before trying to sync.


(swathi varkala) #21

Please join us for Bahmni Connect Bug Bash at https://thoughtworks.zoom.us/j/447453729.

Bugbash sheet has the list of features to focus while testing. Please sign up against the features and put in comments if anything found.


(sanjeev kumar) #22

Thanks, is there any upgrade script for the same


(swathi varkala) #23

This is the first Beta release for BahmniRelease-0.91. We would appreciate your help in beta testing the features as mentioned above in this thread.

Link to Bahmni Installer : http://repo.mybahmni.org.s3.amazonaws.com/rpm/bahmni/bahmni-installer-0.91-40.noarch.rpm

Fresh Installation instructions:

Upgrade Instructions : To Upgrade to latest Bahmni beta release, follow the below instructions.

Known Issues :

  1. Till Bahmni 0.90 Release, bed_id column in bed_location_map table didn’t have foreign key constraint on it which is letting the beds to be deleted even when a patient was allocated to it. We have fixed this issue in 0.91 by adding the liquibase migration to add foreign key constraint. Having said that, while upgrading to 0.91 from any Bahmni Release, if there are any rows in bed_location_map table with bed_id as null or a number for which no row exists in beds table, bedManagement module will fail to start with migration failure. Work around is to delete those dangling rows from bed_location_map table.
  2. We saw that database backup and restore may endup in OpenMRS Database dump with no Foreign key constraints. Specially not having foreign key constraint on location_id column of bed_location_map, bed_type column of bed table is allowing error prone actions on new Admin interface for bed management. Hence we would request all implementations to once confirm that they do have foreign key constraints.
  3. In ADT module, when we have to readmit patient in the same visit, there is Undo discharge option. Where as in new Bed Management module as there is no Undo discharge option, it is causing a compatibility issue.
  4. For Operation Theatre module to work, it is required to add the liquibase migration of adding sample location. Refer JIRA Card.
  5. Limitation on “Patient Document” concept set used to list the Patient Documents Uploadable types: The child concepts should be of Class Type MISC.
  6. Default “FIELD” visit type required for Bahmni Connect is missing in the installer. Please add a Visit Type “FIELD” through OpenMRS Admin ui.

For any help required please contact us[@angshuonline, @binduak, @darius @mksd, @krishnanspace, @shilpa, @sruti, @swathivarkala] using below communication channels.


Could not access beds app from bahmni admin section
(Himabindu Akkinepalli) #24

Please download the below apk file to help in beta testing Connect on Android device http://repo.mybahmni.org.s3.amazonaws.com/connect/bahmni-connect-android-0.91-68.apk


(Angshuman Sarkar) #25

Please note, with the beta release, we have changed our release standup timings. From now on, till the Release, we will have standups only on Tuesdays and Fridays at 2:30 pm IST

Timings: 2:30 pm IST, 12 noon Nairobi, 11 am Berlin, 9 am UTC, 5 am EDT


(sohel sarder) #26

Hi I have just found a issue while browsing this beta version,

Issue regeneration step:

  1. From EMR UI enter into admin app (https://product-qa04.mybahmni.org/bahmni/admin/#/dashboard)
  2. click Beds app (https://product-qa04.mybahmni.org/openmrs/owa/bedmanagement/admissionLocations.html)
  3. Click home icon (https://product-qa04.mybahmni.org/openmrs/)

it is taking you into openmrs admin section and giving no way to return EMR UI home screen again (https://product-qa04.mybahmni.org/bahmni/home/#/dashboard)

It might be all administration intended to be done from openmrs but it would great if some link/option keep available to back into EMR UI home screen.


(Himabindu Akkinepalli) #27

Hello All… We are happy to announce second Beta release for Bahmni-0.91. Please help us in beta testing as mentioned above in the thread.

Link to Bahmni Installer : http://repo.mybahmni.org.s3.amazonaws.com/rpm/bahmni/bahmni-installer-0.91-56.noarch.rpm

Please download the below apk file to help in beta testing Connect on Android device http://repo.mybahmni.org.s3.amazonaws.com/connect/bahmni-connect-android-0.91-69.apk

@pramidat @arjun


(Angshuman Sarkar) #28

Thanks @binduak

To the community, please note, we are in the closing stages of the release. Following is what we agreed in the last PAT call on Wednesday.

  1. Early Adopter(s) to take beta2 and give us feedback within the next few weeks. We are thankful to @pramidat’s team to be one such adopter. They have been testing with the beta-1, and they would test out with beta-2 and give us feedback by next Wednesday, 15 Aug.
  2. Next PAT call, we would take a call on release, and the following day, 16 Aug, we are going to talk to Bahmni-Coalition (in the regular call time).
  3. We keep working on the release activities, updating documents to be ready-to-go.
  4. All goes well in 2 weeks time, we would have a release.

(sohel sarder) #29

@binduak @angshuonline

I have tried to install this in my centos machine and got the following error at end of installation, however i could browse EMR-UI, open-erp, openmrs, openelis.

My machine OS information: Linux centos6.9 2.6.32-696.el6.x86_64 #1 SMP Tue Mar 21 19:29:05 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

TASK [pgbackrest-install : Installing pgbackrest dependent libraries] **********

task path: /opt/bahmni-installer/bahmni-playbooks/roles/pgbackrest-install/tasks/main.yml:28

failed: [localhost] (item=[u’perl-DBD-Pg’, u’perl-JSON’, u’perl-Digest-SHA.x86_64’, u’centos-release-scl’, u’perl516-perl-Thread-Queue.noarch’, u’perl516-perl-JSON-PP.noarch’, u’perl516-perl-DBD-Pg.x86_64’, u’perl516-perl-Time-HiRes.x86_64’, u’perl516-perl-Digest-SHA.x86_64’]) => {“changed”: false, “failed”: true, “item”: [“perl-DBD-Pg”, “perl-JSON”, “perl-Digest-SHA.x86_64”, “centos-release-scl”, “perl516-perl-Thread-Queue.noarch”, “perl516-perl-JSON-PP.noarch”, “perl516-perl-DBD-Pg.x86_64”, “perl516-perl-Time-HiRes.x86_64”, “perl516-perl-Digest-SHA.x86_64”], “msg”: “No package matching ‘perl516-perl-Thread-Queue.noarch’ found available, installed or updated”, “rc”: 126, “results”: [“perl-Digest-SHA-1:5.47-144.el6.x86_64 providing perl-Digest-SHA.x86_64 is already installed”, “No package matching ‘perl516-perl-Thread-Queue.noarch’ found available, installed or updated”]} to retry, use: --limit @/opt/bahmni-installer/bahmni-playbooks/all.retry

PLAY RECAP ********************************************************************* localhost : ok=283 changed=119 unreachable=0 failed=1


Error installing pgbackrest dependent libraries (v0.90)
(Deepak Neupane) #30

I faced the same issue but got solved after issuing the below command #yum -y install centos-release-scl #yum --enablerepo=centos-sclo-rh-testing install perl516-perl-Thread-Queue.noarch perl516-perl-JSON-PP.noarch perl516-perl-DBD-Pg.x86_64 perl516-perl-Time-HiRes.x86_64 perl516-perl-Digest-SHA.x86_64 perl-DBD-Pg perl-DBI perl-Net-Daemon perl-PlRPC perl-JSON-PP


(sohel sarder) #31

This works for me thanks @deepakneupane


(Hailemichael Nigussie) #32

I’m trying to update & facing the following

fatal: [localhost]: FAILED! => {“changed”: false, “failed”: true, “msg”: “No package matching ‘bahmni-openmrs-0.91-27’ found available, installed or updated”, “rc”: 126, “results”: [“No package matching ‘bahmni-openmrs-0.91-27’ found available, installed or updated”]}


(Angshuman Sarkar) #33

Which installer did you use? The links above are not for official 0.91 releases. Try getting from bintray or check here


(Hailemichael Nigussie) #34

Thank you for your response. I’m running bahmni 0.90 and bahmni-installer is 0.91-70. Here is “bahmni version” output

bahmni-erp.noarch 0.90-39 bahmni-erp-connect.noarch 0.90-39 bahmni-event-log-service.noarch 0.90-32 bahmni-implementer-interface.noarch 0.90-91 bahmni-installer.noarch 0.91-70 bahmni-lab.noarch 0.90-36 bahmni-lab-connect.noarch 0.90-496 bahmni-offline.noarch 0.90-161 bahmni-reports.noarch 0.90-40 bahmni-web.noarch 0.90-496 dcm4chee.noarch 0.90-37 pacs-integration.noarch 0.90-37


(Hailemichael Nigussie) #35

currently running is: yum list installed | grep bahmni atomfeed-console.noarch 1.0-18 @bahmni
bahmni-erp.noarch 0.90-39 @bahmni
bahmni-erp-connect.noarch 0.90-39 @bahmni
bahmni-event-log-service.noarch 0.90-32 @bahmni
bahmni-implementer-interface.noarch 0.90-91 @bahmni
bahmni-installer.noarch 0.91-70 @/bahmni-installer-0.91-70.noarch bahmni-lab.noarch 0.90-36 @bahmni
bahmni-lab-connect.noarch 0.90-496 @bahmni
bahmni-offline.noarch 0.90-161 @bahmni
bahmni-reports.noarch 0.90-40 @bahmni
bahmni-web.noarch 0.90-496 @bahmni
dcm4chee.noarch 0.90-37 @bahmni
pacs-integration.noarch 0.90-37 @bahmni
python-gdata.noarch 2.0.11-1.el6 @bahmni